import React__default from 'react';
import classnames from 'classnames';
import { T as Typography } from './Typography-es.js';
import { S as StatusIndicator } from './StatusIndicator-es.js';

var styles = {"statusLabelRow":"OADGAhZt8dY-","success":"gQdAtJ0BiSk-","warning":"_1vqcSM0FTig-","critical":"maK19lcw4T8-","inactive":"n-xRjfGbWgM-","informative":"d6Y1CRe9qac-","labelTextEndAligned":"PqXUSR-3s4M-","statusIndicatorWrapper":"RmE4LVHqe60-","spinning":"EJ48QL3omXo-"};

function StatusLabel({ label, alignment = "start", status = "inactive", }) {
    const containerClassNames = classnames(styles.statusLabelRow, styles[status], alignment === "end" && styles.labelTextEndAligned);
    return (React__default.createElement("div", { role: "status", className: containerClassNames },
        React__default.createElement("div", { className: styles.statusIndicatorWrapper },
            React__default.createElement(StatusIndicator, { status: status })),
        React__default.createElement(Typography, { size: "small", align: alignment }, label)));
}

export { StatusLabel as S };
